Package io.vertx.reactivex.ext.mail

## Class MailClientBuilder

- java.lang.Object
- - io.vertx.reactivex.ext.mail.MailClientBuilder

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MailClientBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A builder for `MailClient`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MailClientBuilder>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MailClientBuilder​(MailClientBuilder delegate)` |
    `MailClientBuilder​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MailClient` | `build()` | Build and return the client.
    `boolean` | `equals​(Object o)` |
    `MailClientBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static MailClientBuilder` | `newInstance​(MailClientBuilder arg)` |
    `MailClientBuilder` | `shared​(String poolName)` | Set a shared client pool name.
    `String` | `toString()` |
    `MailClientBuilder` | `with​(MailConfig configuration)` | Set a configuration object.
    `MailClientBuilder` | `withCredentialsSupplier​(Supplier<Future<UsernamePasswordCredentials>> credentialsSupplier)` | Set a credentials supplier for the mail client.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MailClientBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### MailClientBuilder

          public MailClientBuilder​(MailClientBuilder delegate)

    - #### MailClientBuilder

          public MailClientBuilder​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MailClientBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### with

          public MailClientBuilder with​(MailConfig configuration)

      Set a configuration object.
      Parameters:
        `configuration` - to be used for sending mails
      Returns:
        a reference to this, so the API can be used fluently

    - #### withCredentialsSupplier

          public MailClientBuilder withCredentialsSupplier​(Supplier<Future<UsernamePasswordCredentials>> credentialsSupplier)

      Set a credentials supplier for the mail client.

      By default, the credentials are fixed at creation time with `MailConfig` and `MailConfig`.

      Parameters:
        `credentialsSupplier` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### shared

          public MailClientBuilder shared​(String poolName)

      Set a shared client pool name.

      The created client will share its connection pool with any other client created with the same pool name.

      Parameters:
        `poolName` - the shared pool name
      Returns:
        a reference to this, so the API can be used fluently

    - #### build

          public MailClient build()

      Build and return the client.
      Returns:
        the client as configured by this builder

    - #### newInstance

          public static MailClientBuilder newInstance​(MailClientBuilder arg)